package com.bonus.canteen.core.menu.vo;

import cn.hutool.core.text.CharSequenceUtil;
import com.bonus.canteen.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

@ApiModel("菜品分页信息V2")
public class MenuDishesV2PageVO implements Serializable {
   @ApiModelProperty("菜品id")
   private Long dishesId;
   @ApiModelProperty("菜品编号")
   private String dishesNum;
   @ApiModelProperty("自定义id")
   private String customId;
   @ApiModelProperty("菜品名称")
   private String dishesName;
   @ApiModelProperty("菜品图片url")
   private String imageUrl;
   @ApiModelProperty("菜品基础单价(分)")
   private Integer price;
   @ApiModelProperty("小份单价")
   private Integer littlePrice;
   @ApiModelProperty("计价方式(1按份,2称重)")
   private Integer salesMode;
   @ApiModelProperty("菜品规格")
   private Integer sizeType;
   @ApiModelProperty("称重单位(g)")
   private Integer unitPrice;
   @ApiModelProperty("菜品类型")
   private Integer mealType;
   @ApiModelProperty("菜品类型")
   private String typeName;
   @ApiModelProperty("区域名称")
   private String areaName;
   @ApiModelProperty("食堂名称")
   private String canteenName;
   @ApiModelProperty("档口名称")
   private String stallName;
   @ApiModelProperty("成本价")
   private Integer materialCost;
   @ApiModelProperty("毛利")
   private Integer grossProfit;
   @ApiModelProperty("毛利率")
   private BigDecimal grossProfitRate;

   public String getImageUrl() {
      if (!CharSequenceUtil.isNotBlank(this.imageUrl)) {
         return this.imageUrl;
      } else {
         String[] split = this.imageUrl.split(",");
         StringBuilder newImageUrl = new StringBuilder();
         String[] var3 = split;
         int var4 = split.length;

         for(int var5 = 0; var5 < var4; ++var5) {
            String s = var3[var5];
            newImageUrl.append(SysUtil.getCutFileUrl(s)).append(",");
         }

         return newImageUrl.substring(0, newImageUrl.length() - 1);
      }
   }

   public Long getDishesId() {
      return this.dishesId;
   }

   public String getDishesNum() {
      return this.dishesNum;
   }

   public String getCustomId() {
      return this.customId;
   }

   public String getDishesName() {
      return this.dishesName;
   }

   public Integer getPrice() {
      return this.price;
   }

   public Integer getLittlePrice() {
      return this.littlePrice;
   }

   public Integer getSalesMode() {
      return this.salesMode;
   }

   public Integer getSizeType() {
      return this.sizeType;
   }

   public Integer getUnitPrice() {
      return this.unitPrice;
   }

   public Integer getMealType() {
      return this.mealType;
   }

   public String getTypeName() {
      return this.typeName;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public String getStallName() {
      return this.stallName;
   }

   public Integer getMaterialCost() {
      return this.materialCost;
   }

   public Integer getGrossProfit() {
      return this.grossProfit;
   }

   public BigDecimal getGrossProfitRate() {
      return this.grossProfitRate;
   }

   public void setDishesId(final Long dishesId) {
      this.dishesId = dishesId;
   }

   public void setDishesNum(final String dishesNum) {
      this.dishesNum = dishesNum;
   }

   public void setCustomId(final String customId) {
      this.customId = customId;
   }

   public void setDishesName(final String dishesName) {
      this.dishesName = dishesName;
   }

   public void setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
   }

   public void setPrice(final Integer price) {
      this.price = price;
   }

   public void setLittlePrice(final Integer littlePrice) {
      this.littlePrice = littlePrice;
   }

   public void setSalesMode(final Integer salesMode) {
      this.salesMode = salesMode;
   }

   public void setSizeType(final Integer sizeType) {
      this.sizeType = sizeType;
   }

   public void setUnitPrice(final Integer unitPrice) {
      this.unitPrice = unitPrice;
   }

   public void setMealType(final Integer mealType) {
      this.mealType = mealType;
   }

   public void setTypeName(final String typeName) {
      this.typeName = typeName;
   }

   public void setAreaName(final String areaName) {
      this.areaName = areaName;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setStallName(final String stallName) {
      this.stallName = stallName;
   }

   public void setMaterialCost(final Integer materialCost) {
      this.materialCost = materialCost;
   }

   public void setGrossProfit(final Integer grossProfit) {
      this.grossProfit = grossProfit;
   }

   public void setGrossProfitRate(final BigDecimal grossProfitRate) {
      this.grossProfitRate = grossProfitRate;
   }
}
